/*SGIendian.c*/
#include <stdio.h>  //wg. fwrite()
#include "SGIendian.h"

/***************************************************************************/
  void putbyte (FILE *outf, unsigned char val)
/***************************************************************************/
{ unsigned char buf[1];
  buf[0] = val;
  fwrite(buf, 1, 1, outf);
}

/***************************************************************************/
  void putshort (FILE *outf, unsigned short val)
/***************************************************************************/
{ unsigned char buf[2];
  buf[0] = (val>>8);
  buf[1] = (val>>0);
  fwrite(buf, 2, 1, outf);
}

/***************************************************************************/
  void putlong (FILE *outf, unsigned long val)
/***************************************************************************/
{ unsigned char buf[4];
  buf[0] = (unsigned char) (val>>24);
  buf[1] = (unsigned char) (val>>16);
  buf[2] = (unsigned char) (val>>8);
  buf[3] = (unsigned char) (val>>0);
  fwrite(buf, 4, 1, outf);
  return;
}
