/*DIPops.h (A. Christidis)*/
#ifndef DIPOPS_H
  #define DIPOPS_H

  #define MORE_OPS

  #define NUMX    20
  #define NUMY    23

  enum {R, G, B, A};
  enum {INTEG, DIFXY, DIFFY};

  /*Prototypen:*/
  void BottomUp  (unsigned int *src, unsigned int *dst, int w, int h);
  void cv2grey   (DIPimg *srcImg, DIPimg *dstImg);
  void convol    (DIPimg *srcImg, DIPimg *dstImg, int purpose);
  void loadMask  (float **msk, int *mskR, int *mskC);
  void median    (DIPimg *srcImg, DIPimg *dstImg, int mskW, int mskH);
  void mirrMask  (float *msk, int mskR, int mskC);
  void normMask  (float *msk, int mskR, int mskC);
  void numberPic (DIPimg *srcImg, int x, int y, int cmpnt, int pseudoMode);
  void threshPic (DIPimg *srcImg, DIPimg *dstImg);
  void tranMask  (float *msk, int *mskR, int *mskC);

#endif//DIPOPS_H



