/*FFTops.h (A. Christidis)*/
#ifndef FFTOPS_H
  #define FFTOPS_H

  #define MORE_FFT

  #define FWD   1
  #define INV   0

  enum {CONV, INVR};
  enum {LIN, LOG, OWN};

  /*Prototypen:*/
  void Center     (float *src, float *dst, int w, int h);
  void centerSpec (float *src, float *dst, int w, int h);
  void Ffilt      (DIPimg *srcImg, DIPimg *dstImg, int purpose);
  void fft        (int Forward, int Size, float *VecRe, float *VecIm);
  void fft2D      (int Forward, int ImWid, int ImHig, float *ReImg, float *ImImg);
  void Fspec      (DIPimg *srcImg, DIPimg *dstImg, int purpose);
  void padMat     (float **src, int srcW, int srcH, float **dst, int dstW, int dstH, 
                   int mode);
#endif//FFTOPS_H

