/*                                LoadImg.h                              */
#ifndef ACTEXTURE_H
  #define ACTEXTURE_H
/*
 * read_texture() - read in an image file in SGI 'libimage' format
 * 	currently its very simple minded and converts all images
 *      to RGBA8 regardless of the input format and returns the
 *	original number of components in the appropriate parameter.
 *    
 *     
 *	the components are converted as follows
 *		L    -> LLL 1.0
 *		LA   -> LLL A
 *		RGB  -> RGB 1.0
 *		RGBA -> RGB A
 *
 */
void bwtorgba (unsigned char *b,unsigned char *l,int n); 
void latorgba (unsigned char *b, unsigned char *a,unsigned char *l,int n); 
void rgbtorgba (unsigned char *r,unsigned char *g,unsigned char *b,
                unsigned char *l,int n);
void rgbatorgba(unsigned char *r,unsigned char *g,unsigned char *b,
                unsigned char *a,unsigned char *l,int n);
void ConvertShort(unsigned short *array, long length);
void ConvertLong(unsigned *array, long length); 
/*ImageRec *ImageOpen(const char *fileName);
void ImageClose(ImageRec *image);
void ImageGetRow(ImageRec *image, unsigned char *buf, int y, int z);
  */
 
 unsigned *read_texture(char *name, int *width, int *height, int *components, 
                       int *format);

#endif  ACTEXTURE_H
